<?php
/**
 * Main controller
 *
 * @package wpjb
 * @subpackage controllers
 * @since WP Jobs Board 1.0
 */

namespace Wpjb\Controllers;

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

use Wpjb\Controllers\WpjbDb;
use Wpjb\Controllers\WpjbHelper as Helper;

/**
 * Class Frontend Controller
 *
 * @category Controller
 * @package wpjb
 * @author  IV | PIXOLETTE
 * @license  http://wp.pixolette.com
 * @link     http://wp.pixolette.com
 */
class WpjbFrontend {

	function fe_enqueue( $hook ) {
		wp_enqueue_style( 'dashicons' );
		wp_register_style( 'wpjb-fe-style', WPJB_PLUGIN_URL . 'assets/css/fe-style.css', array(), '1.0' );

		wp_register_script( 'vuejs', WPJB_PLUGIN_URL . 'assets/libraries/vuejs/vue.js', array(), '1.0', true );
		wp_register_script( 'vue-resource', WPJB_PLUGIN_URL . 'assets/libraries/vuejs/vue-resource.min.js', array( 'vuejs' ), '1.0', true );

		wp_register_script( 'wpjb-fe-job-board', WPJB_PLUGIN_URL . 'assets/js/fe-job-board.js', array( 'vuejs' ), '1.0', true );
		wp_localize_script( 'wpjb-fe-job-board', 'wpjb_ajax_vars', array( 'ajax_url' => admin_url( '/admin-ajax.php' ) ) );
	}

}
