<?php
/**
 *
 * Backend view
 *
 * @package wpjb
 * @subpackage _views
 * @since WP Jobs Board 1.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>

<div class="wpjb-backend-wrapper" id="wpjb-be-applications">
	<div class="wpjb-hero">
		<div class="wpjb-hero-intro">
			<h1><?php esc_html_e( 'WP Jobs Board', 'wp-jobs-board' ); ?></h1>
			<p>
				<?php esc_html_e( 'Job Applications', 'wp-jobs-board' ); ?>
			</p>
		</div>
	</div>

	<div class="wpjb-form-wrapper full-form-wrapper">

		<?php if ( ! is_wp_error( $jobs ) ) : ?>
			<?php if ( $jobs->have_posts() ) : ?>
				<table class="wpjb-table">
					<thead>
						<tr>
							<th>
								#
							</th>
							<th>
								<?php if ( isset( $_GET['sort'] ) && 'name_asc' == $_GET['sort'] ) : ?>
									<a href="<?php echo esc_url( add_query_arg( 'sort', 'name_desc' ) ); ?>"><?php esc_html_e( 'Job Listing Name (A->Z)', 'wp-jobs-board' ); ?></a>
								<?php elseif ( isset( $_GET['sort'] ) && 'name_desc' == $_GET['sort'] ) : ?>
									<a href="<?php echo esc_url( add_query_arg( 'sort', 'name_asc' ) ); ?>"><?php esc_html_e( 'Job Listing Name (Z->A)', 'wp-jobs-board' ); ?></a>
								<?php else : ?>
									<a href="<?php echo esc_url( add_query_arg( 'sort', 'name_asc' ) ); ?>"><?php esc_html_e( 'Job Listing Name', 'wp-jobs-board' ); ?></a>
								<?php endif; ?>
							</th>
							<th>
								<?php if ( ! isset( $_GET['sort'] ) || 'date_desc' == $_GET['sort'] ) : ?>
									<a href="<?php echo esc_url( add_query_arg( 'sort', 'date_asc' ) ); ?>"><?php esc_html_e( 'Date Created (Latest)', 'wp-jobs-board' ); ?> &darr;</a>
								<?php elseif ( isset( $_GET['sort'] ) && 'date_asc' == $_GET['sort'] ) : ?>
									<a href="<?php echo esc_url( add_query_arg( 'sort', 'date_desc' ) ); ?>"><?php esc_html_e( 'Date Created (Oldest)', 'wp-jobs-board' ); ?> &uarr;</a>
								<?php else : ?>
									<a href="<?php echo esc_url( add_query_arg( 'sort', 'date_desc' ) ); ?>"><?php esc_html_e( 'Date Created', 'wp-jobs-board' ); ?></a>
								<?php endif; ?>
							</th>
							<th>
								<?php esc_html_e( 'Number of applications', 'wp-jobs-board' ); ?>
							</th>
							<th>
								<?php esc_html_e( 'Actions', 'wp-jobs-board' ); ?>
							</th>
						</tr>
					</thead>
					</tbody>
						<?php $index = 0; ?>
						<?php while ( $jobs->have_posts() ) : ?>
							<?php $jobs->the_post(); ?>
							<?php $index++; ?>
							<?php $post_id = get_the_ID(); ?>
							<tr>
								<td>
									<?php echo esc_html( ( $page_nr - 1 ) * $per_page + $index ); ?>
								</td>
								<td>
									<a href="<?php the_permalink(); ?>" target="_blank"><?php the_title(); ?></a>
								</td>
								<td>
									<?php echo get_the_date(); ?>
								</td>
								<td>
									<?php echo isset( $jobs_applications_number[ $post_id ] ) ? $jobs_applications_number[ $post_id ] : 0; ?>
								</td>
								<td>
									<a href="<?php echo esc_url( add_query_arg( array( 'tab' => 'applications', 'job-id' => get_the_ID() ) ) ); ?>"><?php esc_html_e( 'View Applications', 'wp-jobs-board' ); ?></a>
								</td>
							</tr>
						<?php endwhile; ?>
						<?php wp_reset_postdata(); ?>
					</tbody>
				</table>
				<?php if ( 1 < $total_pages ) : ?>
					<ul class="wpjb-pagination">
						<?php for ( $i = 1; $i <= $total_pages; $i++ ) : ?>
							<li>
								<a href="<?php echo esc_url( add_query_arg( 'pnr', $i ) ); ?>" class="<?php echo esc_attr( $page_nr == $i ? 'active-page' : '' ); ?>"><?php echo esc_html( $i ); ?></a>
							</li>
						<?php endfor; ?>
					</ul>
				<?php endif; ?>
			<?php else : ?>
				<div class="wpjb-messages">
					<div class="wpjb-message">
						<?php esc_html_e( 'There are no applications yet.', 'wp-jobs-board' ); ?>
					</div>
				</div>
			<?php endif; ?>
		<?php endif; ?>

	</div>

</div>
