<?php
/**
 *
 * Backend view
 *
 * @package wpjb
 * @subpackage _views
 * @since WP Jobs Board 1.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>

<div class="wpjb-backend-wrapper" id="wpjb-be-main">
	<div class="wpjb-hero">
		<div class="wpjb-hero-intro">
			<h1><?php esc_html_e( 'WP Jobs Board', 'wp-jobs-board' ); ?></h1>
			<p>
				<?php esc_html_e( 'Set the emails content.', 'wp-jobs-board' ); ?>
			</p>
		</div>
	</div>

	<div class="wpjb-form-wrapper">
		<form method="post" action="">
			<div class="wpjb-row">
				<label><?php esc_html_e( 'When user applies to a job, send email to:', 'wp-jobs-board' ); ?></label>
				<select name="wpjb-email-notifications-to">
					<option value="employer" <?php echo ( ! isset( $settings['wpjb-email-notifications-to'] ) || 'employer' == $settings['wpjb-email-notifications-to'] ? 'selected' : '' ); ?>><?php esc_html_e( 'Employer', 'wp-jobs-board' ); ?></option>
					<option value="admin" <?php echo 'admin' == $settings['wpjb-email-notifications-to'] ? 'selected' : ''; ?>><?php esc_html_e( 'Admin', 'wp-jobs-board' ); ?></option>
					<option value="both" <?php echo 'both' == $settings['wpjb-email-notifications-to'] ? 'selected' : ''; ?>><?php esc_html_e( 'Employer and Admin', 'wp-jobs-board' ); ?></option>
				</select>
			</div>

			<div class="wpjb-row">
				<label class="wpjb-label"><?php esc_html_e( 'Email subject:', 'wp-jobs-board' ); ?></label>
				<input type="text" name="wpjb-email-subject" value="<?php echo esc_attr( $settings['wpjb-email-subject'] ); ?>" placeholder="" />
			</div>
			<div class="wpjb-row">
				<label class="wpjb-label"><?php esc_html_e( 'Email sender (FROM):', 'wp-jobs-board' ); ?></label>
				<input type="text" name="wpjb-email-sender" value="<?php echo esc_attr( $settings['wpjb-email-sender'] ); ?>" placeholder="Your Name <noreply@domain.tld>" />
			</div>
			<div class="wpjb-row">
				<label class="wpjb-label"><?php esc_html_e( 'Email Content:', 'wp-jobs-board' ); ?></label>
				<p><?php esc_html_e( "Use the following shortcodes in email content:", 'wp-jobs-board' ); ?></p>
				<ul>
					<li>{{WPJB_JOB_TITLE}} - <?php esc_html_e( 'will be replaced with job title.', 'wp-jobs-board' ); ?></li>
					<li>{{WPJB_JOB_LINK}} - <?php esc_html_e( 'will be replaced with job link.', 'wp-jobs-board' ); ?></li>
					<li>{{WPJB_EMPLOYER_NAME}} - <?php esc_html_e( 'will be replaced with employer name.', 'wp-jobs-board' ); ?></li>
					<li>{{WPJB_CANDIDATE}} - <?php esc_html_e( 'will be replaced with candidate data.', 'wp-jobs-board' ); ?></li>
				</ul>
				<?php wp_editor( $settings['wpjb-email-content'], 'wpjb-email-content' ); ?>
			</div>


			<div class="wpjb-row">
				<button  class="primary-button" type="submit"><?php esc_html_e( 'Save', 'wp-jobs-board' ); ?></button>
			</div>

			<?php wp_nonce_field( 'wpjb-nonce', 'wpjb-nonce' ); ?>
			<input type="hidden" name="wpjb-action" value="save-email-data" />
		</form>
	</div>

</div>
