<?php
/**
 *
 * Backend view
 *
 * @package wpjb
 * @subpackage _views
 * @since WP Jobs Board 1.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>

<div class="wpjb-backend-wrapper" id="wpjb-be-main">
	<div class="wpjb-hero">
		<div class="wpjb-hero-intro">
			<h1><?php esc_html_e( 'WP Jobs Board', 'wp-jobs-board' ); ?></h1>
			<p>
				<?php esc_html_e( 'Create powerful jobs platform.', 'wp-jobs-board' ); ?>
			</p>
		</div>
	</div>

	<div class="wpjb-form-wrapper">
		<div class="wpjb-row">
			<strong><?php esc_html_e( 'Available Shortcodes', 'wp-jobs-board' ); ?></strong>
		</div>
		<div class="wpjb-row">
			<div class="wpjb-shortcode-info">
				<code>[wpjb-jobs-board]</code> <span> - <?php esc_html_e( 'display jobs listings with options to search and filter', 'wp-jobs-board' ); ?></span>
				<p>
					<?php esc_html_e( 'Accepted attributes:', 'wp-jobs-board' ); ?>
				</p>
				<ul>
					<li><strong>per_page="10"</strong> - <?php esc_html_e( 'set the number of jobs to be displayed per page.', 'wp-jobs-board' ); ?></li>
					<li><strong>sidebar="left"</strong> - <?php esc_html_e( 'set the sidebar position. If you want to hide the sidebar. Accepted values: left, right and hide.', 'wp-jobs-board' ); ?></li>
					<li><strong>salary_min="300"</strong> - <?php esc_html_e( 'if you want a min salary to be filled by default, then use this attribute. Accepted values: any number.', 'wp-jobs-board' ); ?></li>
					<li><strong>salary_max="500"</strong> - <?php esc_html_e( 'if you want a max salary to be filled by default, then use this attribute. Accepted values: any number.', 'wp-jobs-board' ); ?></li>
					<li><strong>salary_type="daily"</strong> - <?php esc_html_e( 'set the salary type. Accepted values: annual, monthly, daily and hourly.', 'wp-jobs-board' ); ?></li>
					<li><strong>type="Full time"</strong> - <?php esc_html_e( 'if you want a type to be checked by default, then use attribute. Accepted values: any "Type" taxonomy value registered for jobs post type.', 'wp-jobs-board' ); ?></li>
					<li><strong>sector="Development"</strong> - <?php esc_html_e( 'if you want a sector to be checked by default, then use this attribute. Accepted values: any "Sector" taxonomy value registered for jobs post type.', 'wp-jobs-board' ); ?></li>
					<li><strong>skills="WordPress"</strong> - <?php esc_html_e( 'if you want a skill to be checked by default, then use this attribute. Accepted values: any "Skills" taxonomy value registered for jobs post type.', 'wp-jobs-board' ); ?></li>
					<li><?php esc_html_e( 'if you want to use multiple values, separate them by commas as in following example.', 'wp-jobs-board' ); ?> - <strong>skills="WordPress, HTML, CSS"</strong></li>
					<li><?php esc_html_e( 'Here is a full example with multiple values:', 'wp-jobs-board' ); ?> - <strong>[wpjb-jobs-board per_page="5" type="Full time" sector="Development, SEO" skills="HTML"]</strong></li>
				</ul>
			</div>
			<hr />
			<div class="wpjb-shortcode-info">
				<code>[wpjb-add-job-form]</code> <span> - <?php esc_html_e( 'display a form that will allow users to create job listings', 'wp-jobs-board' ); ?></span>
				<p>
					<?php esc_html_e( 'Accepted attributes:', 'wp-jobs-board' ); ?>
				</p>
				<ul>
					<li><strong>status="draft"</strong> - <?php esc_html_e( 'if you want to review job listings created by the Employers, use the status="draft" attribute.', 'wp-jobs-board' ); ?></li>
					<li><strong>emails="email@domain.tld,email2@domain.tld"</strong> - <?php esc_html_e( 'if you want to be notified when a new job listing is created or updated, use the emails="" attribute. Multiple emails should be separated by comma.', 'wp-jobs-board' ); ?></li>
				</ul>
			</div>
			<hr />
			<div class="wpjb-shortcode-info">
				<code>[wpjb-login-form]</code> <span> - <?php esc_html_e( 'display login form', 'wp-jobs-board' ); ?></span>
			</div>
			<hr />
			<div class="wpjb-shortcode-info">
				<code>[wpjb-register-form]</code> <span> - <?php esc_html_e( 'display register form', 'wp-jobs-board' ); ?></span>
			</div>
			<hr />
			<div class="wpjb-shortcode-info">
				<code>[wpjb-reset-password-form]</code> <span> - <?php esc_html_e( 'display reset password form', 'wp-jobs-board' ); ?></span>
			</div>
			<hr />
			<div class="wpjb-shortcode-info">
				<code>[wpjb-account]</code> <span> - <?php esc_html_e( 'display user account data', 'wp-jobs-board' ); ?></span>
				<p>
					<?php esc_html_e( 'Accepted attributes:', 'wp-jobs-board' ); ?>
				</p>
				<ul>
					<li><strong>per_page="10"</strong> - <?php esc_html_e( 'set the number of jobs to be displayed per page', 'wp-jobs-board' ); ?></li>
					<li><?php esc_html_e( 'Here is a full example with multiple values:', 'wp-jobs-board' ); ?> - <strong>[wpjb-account per_page="15"]</strong></li>
				</ul>
			</div>
		</div>
		<br />
		<br />

	</div>

</div>
