<?php
/**
 *
 * Backend view
 *
 * @package wpjb
 * @subpackage _views
 * @since WP Jobs Board 1.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

?>

<div class="wpjb-account" id="wpjb-account">

	<?php if ( ! is_wp_error( $authors_jobs ) ) : ?>
		<?php if ( $authors_jobs->have_posts() ) : ?>
			<table class="wpjb-table">
				<thead>
					<tr>
						<th>
							#
						</th>
						<th>
							<?php esc_html_e( 'Job Listing Name', 'wp-jobs-board' ); ?>
						</th>
						<th>
							<?php esc_html_e( 'Date Created', 'wp-jobs-board' ); ?>
						</th>
						<th>
							<?php esc_html_e( 'Number of applications', 'wp-jobs-board' ); ?>
						</th>
						<th>
							<?php esc_html_e( 'Actions', 'wp-jobs-board' ); ?>
						</th>
					</tr>
				</thead>
				</tbody>
					<?php $index = 0; ?>
					<?php while ( $authors_jobs->have_posts() ) : ?>
						<?php $authors_jobs->the_post(); ?>
						<?php $index++; ?>
						<?php $post_id = get_the_ID(); ?>
						<tr>
							<td>
								<?php echo esc_html( ( $page_nr - 1 ) * $per_page + $index ); ?>
							</td>
							<td>
								<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							</td>
							<td>
								<?php echo get_the_date(); ?>
							</td>
							<td>
								<?php echo isset( $jobs_applications_number[ $post_id ] ) ? $jobs_applications_number[ $post_id ] : 0; ?>
							</td>
							<td>
								<a href="<?php the_permalink(); ?>#wpjb-edit-job"><?php esc_html_e( 'Edit Job', 'wp-jobs-board' ); ?></a>
								<a href="<?php echo esc_url( add_query_arg( array( 'tab' => 'applications', 'job-id' => get_the_ID() ) ) ); ?>"><?php esc_html_e( 'View Applications', 'wp-jobs-board' ); ?></a>
							</td>
						</tr>
					<?php endwhile; ?>
					<?php wp_reset_postdata(); ?>
				</tbody>
			</table>
			<?php if ( 1 < $total_pages ) : ?>
				<ul class="wpjb-pagination">
					<?php for ( $i = 1; $i <= $total_pages; $i++ ) : ?>
						<li>
							<a href="<?php echo esc_url( add_query_arg( 'pnr', $i ) ); ?>" class="<?php echo esc_attr( $page_nr == $i ? 'active-page' : '' ); ?>"><?php echo esc_html( $i ); ?></a>
						</li>
					<?php endfor; ?>
				</ul>
			<?php endif; ?>
		<?php else : ?>
			<div class="wpjb-messages">
				<div class="wpjb-message">
					<?php esc_html_e( 'You don\'t have any jobs created yet.', 'wp-jobs-board' ); ?>
				</div>
			</div>
		<?php endif; ?>
	<?php endif; ?>

</div>
