<?php
/**
 *
 * Backend view
 *
 * @package wpjb
 * @subpackage _views
 * @since WP Jobs Board 1.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

?>

<div class="wpjb-account" id="wpjb-account">
	<div class="wpjb-row">
		<a href="<?php echo esc_url( remove_query_arg( array( 'tab', 'job-id', 'pnr' ) ) ); ?>"><?php esc_html_e( 'Back to profile page', 'wp-jobs-board' ); ?></a>
	</div>
	<?php if ( ! empty( $applications ) ) : ?>
		<table class="wpjb-table">
			<thead>
				<tr>
					<th>
						#
					</th>
					<th>
						<?php esc_html_e( 'Candidate Name', 'wp-jobs-board' ); ?>
					</th>
					<th>
						<?php esc_html_e( 'Candidate Email Address', 'wp-jobs-board' ); ?>
					</th>
					<th>
						<?php esc_html_e( 'Candidate CV', 'wp-jobs-board' ); ?>
					</th>
					<th>
						<?php esc_html_e( 'Candidate Message', 'wp-jobs-board' ); ?>
					</th>
					<th>
						<?php esc_html_e( 'Actions', 'wp-jobs-board' ); ?>
					</th>
				</tr>
			</thead>
			</tbody>
				<?php foreach ( $applications as $index => $application ) : ?>
					<tr>
						<td>
							<?php echo esc_html( ( $page_nr - 1 ) * $per_page + $index + 1 ); ?>
						</td>
						<td>
							<?php echo esc_html( $application['user_name'] ); ?>
						</td>
						<td>
							<?php echo esc_html( $application['user_email'] ); ?>
						</td>
						<td>
							<a href="<?php echo esc_url( $application['attachment_url'] ); ?>" target="
								"><?php esc_html_e( 'Open CV', 'wp-jobs-board' ); ?></a>
						</td>
						<td>
							<?php echo esc_html( $application['user_message'] ); ?>
						</td>
						<td>
							<a href="mailto:<?php echo esc_attr( $application['user_email'] ); ?>"><?php esc_html_e( 'Send an email', 'wp-jobs-board' ); ?></a>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	<?php else : ?>
		<div class="wpjb-messages">
			<div class="wpjb-message">
				<?php esc_html_e( 'There are no applications for this job', 'wp-jobs-board' ); ?>
			</div>
		</div>
	<?php endif; ?>
	<?php if ( 1 < $applications_pages_nr ) : ?>
		<ul class="wpjb-pagination">
			<?php for ( $i = 1; $i <= $applications_pages_nr; $i++ ) : ?>
				<li>
					<a href="<?php echo esc_url( add_query_arg( 'pnr', $i ) ); ?>" class="<?php echo esc_attr( $page_nr == $i ? 'active-page' : '' ); ?>"><?php echo esc_html( $i ); ?></a>
				</li>
			<?php endfor; ?>
		</ul>
	<?php endif; ?>

</div>
