<?php
/**
 *
 * Backend view
 *
 * @package wpjb
 * @subpackage _views
 * @since WP Jobs Board 1.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

?>

<div class="wpjb-login" id="wpjb-login">
	<?php if ( is_wp_error( $user ) ) : ?>
		<div class="wpjb-errors">
			<?php if ( count( $user->get_error_messages() ) ) : ?>
				<?php foreach ( $user->get_error_messages() as $error ) : ?>
					<div class="wpjb-error">
						<?php echo $error; ?>
					</div>
				<?php endforeach; ?>
			<?php endif; ?>
		</div>
	<?php endif; ?>
	<?php if ( is_wp_error( $login_errors ) ) : ?>
		<div class="wpjb-errors">
			<?php if ( count( $login_errors->get_error_messages() ) ) : ?>
				<?php foreach ( $login_errors->get_error_messages() as $error ) : ?>
					<div class="wpjb-error">
						<?php echo $error; ?>
					</div>
				<?php endforeach; ?>
			<?php endif; ?>
		</div>
	<?php endif; ?>
	<form action="" method="POST" class="<?php echo is_wp_error( $user ) ? 'has-errors' : ''; ?>">
		<div class="wpjb-row">
			<label for="login-email"><?php esc_html_e( 'Email address', 'wp-jobs-board' ); ?></label>
			<input type="email" name="email" id="login-email" placeholder="<?php esc_html_e( 'Email address', 'wp-jobs-board' ); ?>" class="form-control" value="<?php echo ( isset( $_POST['email'] ) ? esc_attr( $_POST['email'] ) : ( isset( $_GET['login'] ) ? $_GET['login'] : '' ) ); ?>">
		</div>
		<div class="wpjb-row">
			<label for="user-password"><?php esc_html_e( 'Password', 'wp-jobs-board' ); ?></label>
			<input type="password" name="password" class="form-control" id="user-password" placeholder="<?php esc_html_e( 'Password', 'wp-jobs-board' ); ?>">
		</div>
		<input type="hidden" name="action" value="login" />
		<button type="submit" class="btn btn-idfe-gray w-100"><?php esc_html_e( 'Login', 'wp-jobs-board' ); ?></button>
	</form>
</div>
