<?php
/**
 *
 * Backend view
 *
 * @package wpjb
 * @subpackage _views
 * @since WP Jobs Board 1.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

?>

<div class="wpjb-regiter" id="wpjb-register">
	<?php if ( isset( $_GET['success'] ) && 1 == $_GET['success'] ) : ?>
		<div class="wpjb-messages">
			<div class="wpjb-message">
				<?php esc_html_e( 'Account created successfuly', 'wp-jobs-board' ); ?>
			</div>
		</div>
	<?php endif; ?>
	<?php if ( is_wp_error( $user ) ) : ?>
		<div class="wpjb-errors">
			<?php if ( count( $user->get_error_messages() ) ) : ?>
				<?php foreach ( $user->get_error_messages() as $error ) : ?>
					<div class="wpjb-error">
						<?php echo $error; ?>
					</div>
				<?php endforeach; ?>
			<?php endif; ?>
		</div>
	<?php endif; ?>
	<?php if ( is_wp_error( $login_errors ) ) : ?>
		<div class="wpjb-errors">
			<?php if ( count( $login_errors->get_error_messages() ) ) : ?>
				<?php foreach ( $login_errors->get_error_messages() as $error ) : ?>
					<div class="wpjb-error">
						<?php echo $error; ?>
					</div>
				<?php endforeach; ?>
			<?php endif; ?>
		</div>
	<?php endif; ?>
	<form action="" method="POST" class="<?php echo is_wp_error( $user ) ? 'has-errors' : ''; ?>">
		<div class="wpjb-row">
			<label for="login-email"><?php esc_html_e( 'Email address', 'wp-jobs-board' ); ?></label>
			<input type="email" name="email" id="login-email" placeholder="<?php esc_attr_e( 'Email address', 'wp-jobs-board' ); ?>" class="form-control" value="<?php echo ( isset( $_POST['email'] ) ? esc_attr( $_POST['email'] ) : ( isset( $_GET['login'] ) ? $_GET['login'] : '' ) ); ?>">
		</div>
		<div class="wpjb-row">
			<label for="user-password"><?php esc_html_e( 'Password', 'wp-jobs-board' ); ?></label>
			<input type="password" name="password" class="form-control" id="user-password" placeholder="<?php esc_attr_e( 'Password', 'wp-jobs-board' ); ?>">
		</div>
		<div class="wpjb-row">
			<label for="user-password2"><?php esc_html_e( 'Password Repeat', 'wp-jobs-board' ); ?></label>
			<input type="password" name="password2" class="form-control" id="user-password2" placeholder="<?php esc_attr_e( 'Password Repeat', 'wp-jobs-board' ); ?>">
		</div>
		<div class="wpjb-row">
			<label for="first-name"><?php esc_html_e( 'First Name', 'wp-jobs-board' ); ?></label>
			<input type="text" name="first-name" id="first-name" placeholder="<?php esc_attr_e( 'First Name', 'wp-jobs-board' ); ?>" class="form-control" value="<?php echo ( isset( $_POST['first-name'] ) ? esc_attr( $_POST['first-name'] ) : ( isset( $_GET['first-name'] ) ? $_GET['first-name'] : '' ) ); ?>">
		</div>
		<div class="wpjb-row">
			<label for="first-name"><?php esc_html_e( 'Last Name', 'wp-jobs-board' ); ?></label>
			<input type="text" name="last-name" id="last-name" placeholder="<?php esc_attr_e( 'Last Name', 'wp-jobs-board' ); ?>" class="form-control" value="<?php echo ( isset( $_POST['last-name'] ) ? esc_attr( $_POST['last-name'] ) : ( isset( $_GET['last-name'] ) ? $_GET['last-name'] : '' ) ); ?>">
		</div>
		<div class="wpjb-row">
			<label for="user-type"><?php esc_html_e( 'Account type', 'wp-jobs-board' ); ?></label>
			<select name="user-type" id="user-type">
				<option value="candidate" <?php echo ( isset( $_POST['user-type'] ) && 'candidate' == $_POST['user-type'] ? 'selected' : '' ); ?>><?php esc_html_e( 'Candidate', 'wp-jobs-board' ); ?></option>
				<option value="employer" <?php echo ( isset( $_POST['user-type'] ) && 'employer' == $_POST['user-type'] ? 'selected' : '' ); ?>><?php esc_html_e( 'Employer', 'wp-jobs-board' ); ?></option>
			</select>
		</div>
		<input type="hidden" name="action" value="register" />
		<button type="submit" class="btn btn-idfe-gray w-100"><?php esc_html_e( 'Create account', 'wp-jobs-board' ); ?></button>
	</form>
</div>
